<?php
define('NTLCMS', 1);
$module = 'modspam';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
################################################################################
echo '<div class="title"><b>'.razd.' Модерация рассылок</b></div>';
################################################################################	

if ($_USER['admin'] > '0' && $_USER['admin'] < '2'){	
	
$k_post = DB :: run() -> querySingle("select count(`id`) from `spam`");	
 
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage; 
	
$sql = DB :: run() -> query("select * from `spam` order by `id` desc limit ".$start.", ".$onpage);

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> Рассылок на модерацию нет!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

if ($row -> status == '0'){
$status = '<span style="color:green">Выполнено</span>';
} else {
$status = '<span style="color:red">Не выполнено</span>';
}

echo '<div class="menu">';
echo '<i class="fa  fa-user-circle fa-fw"></i> Заказчик: '.login($row -> login, 1).'<br/>';
echo '<i class="fa  fa-calendar fa-fw"></i> Дата заказа: '.date('d.m H:i', $row -> date).'<br/>';
echo '<i class="fa   fa-cogs fa-fw"></i> Статус: '.$status.'<br/>';
echo '<i class="fa   fa-file-text-o fa-fw"></i> Текст рассылки: '.outtext($row -> text, 1 ,1 ,1).'<br/>';

if ($row -> status == '0') echo '<i class="fa  fa-trash-o fa-fw"></i> <a href="'.URL.'/mod_delete'.ints($row -> id).'"><span style="color:red">Удалить</span></a>';
if ($row -> status == '1') echo '<i class="fa fa-paper-plane-o fa-fw"></i> <a href="'.URL.'/mod_success'.ints($row -> id).'"><span style="color:green">Разослать</span></a> | <a href="'.URL.'/mod_delete'.ints($row -> id).'"><span style="color:red">Удалить</span></a>';

echo '</div>';
}
if ($k_page > 1) navigation(URL.'/modmailing?', $k_page, $page);
}		

} else {
header('Location: '.URL);
$_SESSION['fail'] = 'Доступ запрещен!';
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/mailing">Рассылка писем</a></div>';

include ('../system/foot.php');
?>